List credit products
Retrieve the credit products defined in your account. Use a credit product ID to fund a credit pool (a product creditGrant.creditProductId) or to debit one (a usage product consumesCreditProductIds). Distinct from the credit ledger (GET /credits).
Authorization
BearerAuthorizer In: header
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/credit-products"{ "creditProducts": [ { "id": "string", "name": "string" } ]}{ "type": "invalid_request_error", "code": "string", "message": "string", "param": "string", "params": [ { "param": "string", "message": "string" } ]}{ "type": "authentication_error", "code": "authentication_failed", "message": "string"}{ "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "string"}{ "type": "api_error", "code": "internal_error", "message": "string"}Create a one-off invoice to top up a customer with credits POST
This endpoint creates a one-off invoice that bills a customer for a credit grant. Submit the customer ID and the credit grant (credit product, amount, type and price) in the request body — the same credit grant shape used when defining grants on a contract. The grant's price is charged on the invoice, and the credits are granted to the customer when the invoice is approved.
Subscribe to webhooks POST
Use this endpoint to subscribe to webhooks and receive event notifications.

